Bug 999500 - [abrt] gconf-editor-3.0.1-5.fc19: g_assertion_message: Process /usr/bin/gconf-editor was killed by signal 6 (SIGABRT)
[abrt] gconf-editor-3.0.1-5.fc19: g_assertion_message: Process /usr/bin/gconf...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gconf-editor (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
abrt_hash:f4ebdf7c658bacb22012f9e6f1b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-21 08:27 EDT by Avvocato Andrea Marengoni
Modified: 2015-02-17 11:51 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:51:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (22.49 KB, text/plain)
2013-08-21 08:28 EDT, Avvocato Andrea Marengoni
no flags Details
File: cgroup (140 bytes, text/plain)
2013-08-21 08:28 EDT, Avvocato Andrea Marengoni
no flags Details
File: core_backtrace (17.29 KB, text/plain)
2013-08-21 08:28 EDT, Avvocato Andrea Marengoni
no flags Details
File: dso_list (9.49 KB, text/plain)
2013-08-21 08:28 EDT, Avvocato Andrea Marengoni
no flags Details
File: environ (1.31 KB, text/plain)
2013-08-21 08:28 EDT, Avvocato Andrea Marengoni
no flags Details
File: limits (1.29 KB, text/plain)
2013-08-21 08:28 EDT, Avvocato Andrea Marengoni
no flags Details
File: maps (44.92 KB, text/plain)
2013-08-21 08:28 EDT, Avvocato Andrea Marengoni
no flags Details
File: open_fds (579 bytes, text/plain)
2013-08-21 08:28 EDT, Avvocato Andrea Marengoni
no flags Details
File: proc_pid_status (941 bytes, text/plain)
2013-08-21 08:28 EDT, Avvocato Andrea Marengoni
no flags Details

  None (edit)
Description Avvocato Andrea Marengoni 2013-08-21 08:27:59 EDT
Version-Release number of selected component:
gconf-editor-3.0.1-5.fc19

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        gconf-editor
crash_function: g_assertion_message
executable:     /usr/bin/gconf-editor
kernel:         3.10.7-200.fc19.x86_64
runlevel:       N 5
uid:            1000
var_log_messages: Aug 21 11:55:54 localhost abrt[25510]: Saved core dump of pid 25286 (/usr/bin/gconf-editor) to /var/tmp/abrt/ccpp-2013-08-21-11:55:54-25286 (18890752 bytes)

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 g_assertion_message at /lib64/libglib-2.0.so.0
 #3 g_assertion_message_expr at /lib64/libglib-2.0.so.0
 #4 gconf_client_lookup at gconf-client.c:2369
 #5 gconf_client_key_is_writable at gconf-client.c:1415
 #6 gconf_editor_window_update_list_selection at gconf-editor-window.c:1131
 #7 _g_closure_invoke_va at /lib64/libgobject-2.0.so.0
 #8 g_signal_emit_valist at /lib64/libgobject-2.0.so.0
 #9 g_signal_emit_by_name at /lib64/libgobject-2.0.so.0
 #10 gtk_tree_view_row_deleted at gtktreeview.c:9122
 #11 g_closure_invoke at /lib64/libgobject-2.0.so.0
Comment 1 Avvocato Andrea Marengoni 2013-08-21 08:28:05 EDT
Created attachment 788841 [details]
File: backtrace
Comment 2 Avvocato Andrea Marengoni 2013-08-21 08:28:12 EDT
Created attachment 788842 [details]
File: cgroup
Comment 3 Avvocato Andrea Marengoni 2013-08-21 08:28:17 EDT
Created attachment 788843 [details]
File: core_backtrace
Comment 4 Avvocato Andrea Marengoni 2013-08-21 08:28:21 EDT
Created attachment 788844 [details]
File: dso_list
Comment 5 Avvocato Andrea Marengoni 2013-08-21 08:28:26 EDT
Created attachment 788845 [details]
File: environ
Comment 6 Avvocato Andrea Marengoni 2013-08-21 08:28:30 EDT
Created attachment 788846 [details]
File: limits
Comment 7 Avvocato Andrea Marengoni 2013-08-21 08:28:38 EDT
Created attachment 788847 [details]
File: maps
Comment 8 Avvocato Andrea Marengoni 2013-08-21 08:28:42 EDT
Created attachment 788848 [details]
File: open_fds
Comment 9 Avvocato Andrea Marengoni 2013-08-21 08:28:47 EDT
Created attachment 788849 [details]
File: proc_pid_status
Comment 10 nvwarr 2013-11-19 03:21:36 EST
Same problem. It can be easily reproduced. Start gconf-editor open up the tree, select an item in the right window, then click on a different path in the tree.

This was already reported (with a patch which fixes it) on the gnome bugzilla over a year and a half ago:

https://bugzilla.gnome.org/show_bug.cgi?id=670586

Any chance of getting Edward Sheldrake's patch included in the Fedora version? The patch works for me.
Comment 11 Fedora End Of Life 2015-01-09 14:32:43 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 nvwarr 2015-01-12 10:08:07 EST
This bug is still not fixed in Fedora 20 or 21. See, for example, bug 1158754.
Comment 13 Fedora End Of Life 2015-02-17 11:51:44 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.